#ifndef XBONEINFO_H
#define XBONEINFO_H

#include "xasset.h"

#include <QVector>
#include <QVector3D>

class XBoneInfo : public XAsset
{
public:
    XBoneInfo();
    ~XBoneInfo();

    virtual void ParseData(QDataStream* aStream) override;
    virtual void Clear() override;

private:
    QVector<QVector3D> mBounds;
    QVector3D mOffset;
    float mRadiusSquared;
};

#endif // XBONEINFO_H
